Loading...
Searching...
No Matches
Magick::quantizeColorSpaceImage Class Reference

## Public Member Functions

| quantizeColorSpaceImage (const ColorspaceType colorSpace_)
void | operator() (Image &image_) const

## Private Attributes

ColorspaceType | _colorSpace

## Detailed Description

Definition at line 1661 of file STL.h.

## Constructor & Destructor Documentation

## quantizeColorSpaceImage()

Magick::quantizeColorSpaceImage::quantizeColorSpaceImage | ( | const ColorspaceType | colorSpace_ | ) |

Definition at line 1493 of file STL.cpp.

: _colorSpace( colorSpace_ )
{
}

## Member Function Documentation

## operator()()

void Magick::quantizeColorSpaceImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1497 of file STL.cpp.

{
image_.quantizeColorSpace( _colorSpace );
}

## Field Documentation

## _colorSpace

ColorspaceType Magick::quantizeColorSpaceImage::_colorSpace

private

Definition at line 1669 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp